<p>title: Perulangan dengan while
description:</p>
<hr />
<p>Statemen perulangan <code>while</code> akan menjalankan blok kode berulang-ulang selama kondisi masih bernilai <code>true</code>.</p>
<pre><code>while (cek kondisi) {
    // kode yang akan dijalankan berulang
}</code></pre>
<p>Sebagai contoh kode berikut:</p>
<pre><code>$x = 1; 
while($x &lt;= 5) {
    echo $x . "&lt;br&gt;";
    $x++;
}</code></pre>
<p>Pada kode di atas, program akan mencetak nomor 1 sampai dengan 5. Statemen <code>while</code>akan mengecek kondisi, yang apabila nilainya true, dia akan menjalankan blok kode di dalamnya. Statemen <code>while</code> akan terus dijalankan sampai kondisi pada <code>while</code> bernilai false. Sehingga kita harus menyiapkan skenario agar kondisi bernilai false.
Pada kode di atas kita menambah nilai variabel <code>$x</code> sebanyak 1 setiap kali blok kode pada <code>while</code> dijalankan, agar sampai pada kondisi nilai <code>$x</code> lebih dari 5 sehingga pengecekan kondisi bernilai false.</p>
<h2>Praktek</h2>
<ul>
<li>Jalankan kode pada editor dan lihat output yang tampil. Ganti kondisi while di baris ke-5 menjadi <code>$x &lt; 10</code>atau angka berapapun yang Kamu mau dan lihat keluarannya.</li>
<li>Apa yang terjadi jika Kamu menghapus kode <code>$x++</code> di baris ke-6? Pesan error apa yang muncul? Mengapa demikian?
Karena bila kita membiarkan kondisi selalu bernilai true, maka akan terjadi <em>infinite loop</em> atau perulangan selamanya. Biasanya akan tampil pesan error bahwa eksekusi program telah melebihi waktu eksekusi yang diperbolehkan dan proses akan dihentikan. Pesan error tersebut akan tampil tergantung dari berapa lama kita mengatur waktu eksekusi maksimum di konfigurasi PHP.</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/perulangan-while"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>